[SciPy-user] Installation on dual opteron ...

Arnd Baecker arnd.baecker at web.de
Wed Sep 28 02:52:27 CDT 2005


On Tue, 27 Sep 2005, Stephen Walton wrote:

> I can't help with the X11 link problem, I'm afraid, as I
> don't see it on my i386 systems.

Googling for  "ld: skipping incompatible /usr/X11R6/lib/libX11.so"
gives quite a few hits.
It looks like a 64Bit vs. 32 Bit thing.

And the solution is to put the following into
scipy_core/scipy_distutils/site.cfg

[x11]
library_dirs = /usr/X11R6/lib64
include_dirs = /usr/X11R6/include

Then scipy builds and installs fine, but ...

In [1]: from scipy import *
In [2]: x=arange(10.0)
In [3]: xplt.plg(x)
---------------------------------------------------------------------------
exceptions.ImportError                               Traceback (most
recent call last)

/home/abaecker/<console>

/scr/python3/lib/python2.4/site-packages/scipy_base/ppimport.py in
__getattr__(self, name)
    301             module = self.__dict__['_ppimport_module']
    302         except KeyError:
--> 303             module = self._ppimport_importer()
    304         return getattr(module, name)
    305

/scr/python3/lib/python2.4/site-packages/scipy_base/ppimport.py in
_ppimport_importer(self)
    256             module = sys.modules[name]
    257         except KeyError:
--> 258             raise
ImportError,self.__dict__.get('_ppimport_exc_info')[1]
    259         if module is not self:
    260             exc_info = self.__dict__.get('_ppimport_exc_info')

ImportError: Array can not be safely cast to required type


Any idea what to do about this one ?

Many thanks,

Arnd



More information about the SciPy-user mailing list